%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define name         sensor-service
%define version      1.0.0
%define release      7

%define builddir     @RPM_BUILD_DIR@/build-%{name}-%{version}

%define default_user root

Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Vendor:         EMI
License:        Apache License
URL:            http://grid-it.cnaf.infn.it
Source:         sensor-service-%{version}.tar.gz
Group:          System Environment/Shells
AutoReqProv:    yes
BuildArch:      noarch
BuildRoot:      %{_builddir}/var/tmp/%{name}-%{version}
Summary:        Provides the host files

%define _sysconfdir    /etc

BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: python
BuildRequires: sensor-api

%define debug_package %{nil}

Requires: python
Requires: procps
Requires: sensor-api

%description
This contains sensor-host package.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash bootstrap
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --bindir=/usr/bin --exec_prefix=/usr --localstatedir=/var 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/monitoring/service

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/log/monitoring/service

%{_sysconfdir}/cron.d/sensor_service
%dir %{python_sitearch}/storm/monitoring/sensor/service
%{python_sitearch}/storm/monitoring/sensor/service/__init__.py
%{python_sitearch}/storm/monitoring/sensor/service/__init__.pyc
%{python_sitearch}/storm/monitoring/sensor/service/__init__.pyo
%dir %{python_sitearch}/storm/monitoring/sensor/service/logsize
%{python_sitearch}/storm/monitoring/sensor/service/logsize/__init__.py
%{python_sitearch}/storm/monitoring/sensor/service/logsize/__init__.pyc
%{python_sitearch}/storm/monitoring/sensor/service/logsize/__init__.pyo
%{python_sitearch}/storm/monitoring/sensor/service/logsize/file_check.py
%{python_sitearch}/storm/monitoring/sensor/service/logsize/file_check.pyc
%{python_sitearch}/storm/monitoring/sensor/service/logsize/file_check.pyo
%{python_sitearch}/storm/monitoring/sensor/service/logsize/logsize_sensor.py
%{python_sitearch}/storm/monitoring/sensor/service/logsize/logsize_sensor.pyc
%{python_sitearch}/storm/monitoring/sensor/service/logsize/logsize_sensor.pyo
%{python_sitearch}/storm/monitoring/sensor/service/procmem/__init__.py
%{python_sitearch}/storm/monitoring/sensor/service/procmem/__init__.pyc
%{python_sitearch}/storm/monitoring/sensor/service/procmem/__init__.pyo
%{python_sitearch}/storm/monitoring/sensor/service/procmem/procmem_check.py
%{python_sitearch}/storm/monitoring/sensor/service/procmem/procmem_check.pyc
%{python_sitearch}/storm/monitoring/sensor/service/procmem/procmem_check.pyo
%{python_sitearch}/storm/monitoring/sensor/service/procmem/procmem_sensor.py
%{python_sitearch}/storm/monitoring/sensor/service/procmem/procmem_sensor.pyc
%{python_sitearch}/storm/monitoring/sensor/service/procmem/procmem_sensor.pyo

%dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Oct 1 2012 Elisabetta Ronchieri <elisabetta.ronchieri@cnaf.infn.it> - %{version}
- added packaging
